[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Invalidate

Causes a delayed Repaint of the control by marking its visible area of the control as invalid.

## Declaration

Source position: controls.pp line 1721

`public procedure TControl.Invalidate; virtual;`

## Description

Calls the InvalidateControl method to invalidate the bounds rectangle for the control using the clipping rectangle for the Parent. The control is redrawn when there are no pending messages in the message queue.

## See also

TControl.InvalidateControl |  | Requests a repaint of the control.
TControl.IsVisible |  | Gets the effective visibility for the control and all of its Parent controls.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.
TControl.Parent |  | The control within which the control is shown.